# UserRequestedViewAdvancement()

Method in [VoiceOverView](/2.2/api/csharp/yarn.unity/yarn.unity.voiceoverview.md)

## Summary

Signals to this dialogue view that the user would like to skip playback.

```csharp
public override void UserRequestedViewAdvancement()
```

## Remarks

When this method is called, this view indicates to its [DialogueRunner](/2.2/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) that the line should be interrupted.

If this view is not currently playing any audio, this method does nothing.

## See Also

* [DialogueViewBase.InterruptLine(LocalizedLine,Action)](/2.2/api/csharp/yarn.unity/yarn.unity.dialogueviewbase/yarn.unity.dialogueviewbase.interruptline.md): Called by the [DialogueRunner](/2.2/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that a line has been interrupted, and that the Dialogue View should finish presenting its line as quickly as possible.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.voiceoverview/yarn.unity.voiceoverview.userrequestedviewadvancement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
